DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# NotZero

Point Operation

## SYNOPSIS

`#include "dip_point.h"`

dip_Error dip_NotZero ( in, out )

## DATA TYPES

integer, float

## FUNCTION

This function returns a binary image with value 1 where `in != 0` and value 0 elsewhere. The opposite can be accomplished with `SelectValue`: `dip_SelectValue(in,out,0);`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image

## SEE ALSO

`Threshold`, `SelectValue`, `Compare`, `RangeThreshold`

DIPlib on-line documentation | Function reference | Global function index